<main class="sign-form__container" role="main">
  <a href={{this.showcase.url}} class="pix-logo__link">
    <img class="pix-logo__image" src="/images/ecriplus-tests.svg" alt="{{this.showcase.linkText}}" />
  </a>

  <div class="sign-form__header">
    <h1 class="sign-form-title">{{t "pages.sign-up.first-title"}}</h1>
    <div class="sign-form-header__subtitle">
      <span class="sign-form-header-subtitle">{{t "common.or"}}</span>
      <LinkTo @route="authentication.login" class="link">{{t "pages.sign-up.subtitle.link"}}</LinkTo>
    </div>
  </div>

  <p class="sign-form__notification-message--error" aria-live="polite" role="alert" id="sign-up-error-message">
    {{this.errorMessage}}
  </p>

  <form {{on "submit" this.signup}} class="sign-form__body">
    <p class="sign-form-body__instruction">{{t "common.form.mandatory-all-fields" htmlSafe=true}}</p>

    <fieldset>
      <legend class="sr-only">{{t "pages.sign-up.fields.legend"}}</legend>
      <div class="sign-form-body__input">
        <FormTextfield
          @label="{{t 'pages.sign-up.fields.firstname.label'}}"
          @textfieldName="firstName"
          @inputBindingValue={{@user.firstName}}
          @onValidate={{this.validateInput}}
          @validationStatus={{this.validation.firstName.status}}
          @validationMessage={{this.validation.firstName.message}}
          @autocomplete="given-name"
          @hideRequired={{true}}
          @require={{true}}
          @aria-describedby="sign-up-error-message"
        />
      </div>

      <div class="sign-form-body__input">
        <FormTextfield
          @label="{{t 'pages.sign-up.fields.lastname.label'}}"
          @textfieldName="lastName"
          @inputBindingValue={{@user.lastName}}
          @onValidate={{this.validateInput}}
          @validationStatus={{this.validation.lastName.status}}
          @validationMessage={{this.validation.lastName.message}}
          @autocomplete="family-name"
          @hideRequired={{true}}
          @require={{true}}
          @aria-describedby="sign-up-error-message"
        />
      </div>

      <div class="sign-form-body__input">
        <FormTextfield
          @label="{{t 'pages.sign-up.fields.email.label'}}"
          @help="{{t 'pages.sign-up.fields.email.help'}}"
          @textfieldName="email"
          @validationStatus={{this.validation.email.status}}
          @onValidate={{this.validateInputEmail}}
          @inputBindingValue={{@user.email}}
          @validationMessage={{this.validation.email.message}}
          @autocomplete="email"
          @hideRequired={{true}}
          @require={{true}}
          @aria-describedby="sign-up-error-message"
        />
      </div>

      <div class="sign-form-body__input">
        <FormTextfield
          @label="{{t 'pages.sign-up.fields.password.label'}}"
          @help="{{t 'pages.sign-up.fields.password.help'}}"
          @textfieldName="password"
          @validationStatus={{this.validation.password.status}}
          @onValidate={{this.validateInputPassword}}
          @inputBindingValue={{@user.password}}
          @validationMessage={{this.validation.password.message}}
          @autocomplete="new-password"
          @hideRequired={{true}}
          @require={{true}}
          @aria-describedby="sign-up-error-message"
        />
      </div>

      <div class="signup-form__cgu-container">
        <p class="signup-form__cgu-label">
          {{t "common.cgu.accept"}}
          <a href={{this.cguUrl}} class="link" target="_blank" rel="noopener noreferrer">
            {{t "common.cgu.cgu"}}
          </a>
          {{t "common.cgu.and"}}
          <a href={{this.dataProtectionPolicyUrl}} class="link" target="_blank" rel="noopener noreferrer">
            {{t "common.cgu.data-protection-policy"}}
          </a>
          {{t "common.cgu.pix"}}
        </p>
        <PixCheckbox
          @id="checkbox"
          @screenReaderOnly="true"
          {{on "change" this.onChange}}
          aria-describedby="sign-up-cgu-error-message"
        >
          {{t "common.cgu.label"}}
        </PixCheckbox>
      </div>
      <p class="sign-form__validation-error" aria-live="polite" role="alert" id="sign-up-cgu-error-message">
        {{#if @user.errors.cgu}}
          {{t "common.cgu.error"}}
        {{/if}}
      </p>

    </fieldset>

    <div class="sign-form-body__bottom-button">
      <PixButton @type="submit" @shape="rounded" @isLoading={{this.isLoading}}>
        {{t "pages.sign-up.actions.submit"}}
      </PixButton>
    </div>
  </form>
</main>